script: |
  zar import -R logs -empty
  zar index create -R logs -o countbypath -k _path -z "count() by _path" _path:string :ip
  zar index ls -R logs -stats -f zng | zq -f table "drop id" -
  zar import -R logs data.zson
  zar import -R logs data.zson
  echo ===
  zar index ls -R logs -stats -f zng | zq -f table "drop id" -

inputs:
  - name: data.zson
    data: |
      {_path:"conn",ts:1970-01-01T00:00:01Z,orig_h:127.0.0.1}
      {_path:"http",ts:1970-01-01T00:00:01Z,orig_h:127.0.0.1}
      {_path:"conn",ts:1970-01-01T00:00:02Z,orig_h:127.0.0.2}
      {_path:"http",ts:1970-01-01T00:00:02Z,orig_h:127.0.0.2}

outputs:
  - name: stdout
    data: |
      DESC               ZQL              INPUT INDEX_COUNT CHUNK_COUNT
      field-_path:string _                _     0           0
      type-ip            _                _     0           0
      zql-countbypath    count() by _path _     0           0
      ===
      DESC               ZQL              INPUT INDEX_COUNT CHUNK_COUNT
      field-_path:string _                _     2           2
      type-ip            _                _     2           2
      zql-countbypath    count() by _path _     2           2
